Package org.eclipse.birt.chart.event

# Class StructureType

java.lang.Object
org.eclipse.birt.chart.event.StructureType

public class StructureType extends Object
This class defines the type for a StructureSource object and provides predefined constants.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final StructureType`
`AXIS`
Indicates an Axis structure type.
`static final StructureType`
`AXIS_LABEL`
Indicates an Axis Label structure type.
`static final StructureType`
`AXIS_TITLE`
Indicates an Axis Title structure type.
`static final StructureType`
`CHART_BLOCK`
Indicates a Chart Block structure type.
`static final StructureType`
`LEGEND`
Indicates a Legend structure type.
`static final StructureType`
`LEGEND_ENTRY`
Indicates a Legend Entry structure type.
`static final StructureType`
`LEGEND_TITLE`
Indicates a Legend Title structure type.
`static final StructureType`
`MARKER_LINE`
Indicates a Marker Line structure type.
`static final StructureType`
`MARKER_RANGE`
Indicates a Marker Range structure type.
`static final StructureType`
`PLOT`
Indicates a Plot structure type.
`static final StructureType`
`SERIES`
Indicates a Series structure type.
`static final StructureType`
`SERIES_DATA_POINT`
Indicates a Series DataPoint structure type.
`static final StructureType`
`SERIES_ELEMENT`
Indicates a Series Element structure type.
`static final StructureType`
`SERIES_FITTING_CURVE`
Indicates a Series Fitting Curve structure type.
`static final StructureType`
`SERIES_MARKER`
Indicates a Series Marker structure type.
`static final StructureType`
`SERIES_TITLE`
Indicates a Series Title structure type.
`static final StructureType`
`TITLE`
Indicates a Title structure type.
`static final StructureType`
`UNKNOWN`
Indicates an Unknown structure type.

## Method Summary

Modifier and Type
Method
Description
`final String`
`getTypeString()`
Returns the type string.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### UNKNOWN

public static final StructureType UNKNOWN
Indicates an Unknown structure type. The relevant source is an unknown `Object` type.

### CHART_BLOCK

public static final StructureType CHART_BLOCK
Indicates a Chart Block structure type. The relevant source is a `Block` type.

### PLOT

public static final StructureType PLOT
Indicates a Plot structure type. The relevant source is a `Plot` type.

### TITLE

public static final StructureType TITLE
Indicates a Title structure type. The relevant source is a `TitleBlock` type.

### LEGEND

public static final StructureType LEGEND
Indicates a Legend structure type. The relevant source is a `Legend` type.

### LEGEND_TITLE

public static final StructureType LEGEND_TITLE
Indicates a Legend Title structure type. The relevant source is a `Label` type.

### LEGEND_ENTRY

public static final StructureType LEGEND_ENTRY
Indicates a Legend Entry structure type. The relevant source is a `LegendEntryRenderingHints` type.

### AXIS

public static final StructureType AXIS
Indicates an Axis structure type. The relevant source is a `Axis` type.

### AXIS_TITLE

public static final StructureType AXIS_TITLE
Indicates an Axis Title structure type. The relevant source is a `Label` type.

### AXIS_LABEL

public static final StructureType AXIS_LABEL
Indicates an Axis Label structure type. The relevant source is a `Label` type.

### SERIES

public static final StructureType SERIES
Indicates a Series structure type. The relevant source is a `Series` type.

### SERIES_TITLE

public static final StructureType SERIES_TITLE
Indicates a Series Title structure type. The relevant source is a `Label` type.

### SERIES_ELEMENT

public static final StructureType SERIES_ELEMENT
Indicates a Series Element structure type. The relevant source is a `DataPointHints` type.

### SERIES_MARKER

public static final StructureType SERIES_MARKER
Indicates a Series Marker structure type. The relevant source is a `Marker` type.

### SERIES_DATA_POINT

public static final StructureType SERIES_DATA_POINT
Indicates a Series DataPoint structure type. The relevant source is a `DataPointHints` type.

### SERIES_FITTING_CURVE

public static final StructureType SERIES_FITTING_CURVE
Indicates a Series Fitting Curve structure type. The relevant source is a `CurveFitting` type.

### MARKER_LINE

public static final StructureType MARKER_LINE
Indicates a Marker Line structure type. The relevant source is a `MarkerLine` type.

### MARKER_RANGE

public static final StructureType MARKER_RANGE
Indicates a Marker Range structure type. The relevant source is a `MarkerRange` type.

## Method Details

### getTypeString

public final String getTypeString()
Returns the type string.

Returns:

### toString

public String toString()

Overrides:
  `toString` in class `Object`